% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/callbacks.R
\name{callback_remote_monitor}
\alias{callback_remote_monitor}
\title{Callback used to stream events to a server.}
\usage{
callback_remote_monitor(root = "http://localhost:9000",
  path = "/publish/epoch/end/", field = "data", headers = NULL)
}
\arguments{
\item{root}{root url of the target server.}

\item{path}{path relative to root to which the events will be sent.}

\item{field}{JSON field under which the data will be stored.}

\item{headers}{Optional named list of custom HTTP headers. Defaults to:
\code{list(Accept = "application/json",}Content-Type\code{= "application/json")}}
}
\description{
Callback used to stream events to a server.
}
\seealso{
Other callbacks: \code{\link{callback_csv_logger}},
  \code{\link{callback_early_stopping}},
  \code{\link{callback_lambda}},
  \code{\link{callback_learning_rate_scheduler}},
  \code{\link{callback_model_checkpoint}},
  \code{\link{callback_progbar_logger}},
  \code{\link{callback_reduce_lr_on_plateau}},
  \code{\link{callback_tensorboard}},
  \code{\link{callback_terminate_on_naan}}
}
