% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/constraints.R
\name{constraint_unitnorm}
\alias{constraint_unitnorm}
\title{UnitNorm weight constraint}
\usage{
constraint_unitnorm(axis = 0)
}
\arguments{
\item{axis}{The axis along which to calculate weight norms. For instance, in
a dense layer the weight matrix has shape \code{input_dim, output_dim},
set \code{axis} to \code{0} to constrain each weight vector of length \code{input_dim,}.
In a convolution 2D layer with \code{dim_ordering="tf"}, the weight tensor has
shape \code{rows, cols, input_depth, output_depth}, set \code{axis} to \code{c(0, 1, 2)}
to constrain the weights of each filter tensor of size \code{rows, cols, input_depth}.}
}
\description{
Constrains the weights incident to each hidden unit to have unit norm.
}
\seealso{
Other constraints: \code{\link{constraint_maxnorm}},
  \code{\link{constraint_minmaxnorm}},
  \code{\link{constraint_nonneg}}
}
