% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/initializers.R
\name{initializer_glorot_uniform}
\alias{initializer_glorot_uniform}
\title{Glorot uniform initializer, also called Xavier uniform initializer.}
\usage{
initializer_glorot_uniform(seed = NULL)
}
\arguments{
\item{seed}{Integer used to seed the random generator.}
}
\description{
It draws samples from a uniform distribution within \code{-limit, limit}
where \code{limit} is \code{sqrt(6 / (fan_in + fan_out))}
where \code{fan_in} is the number of input units in the weight tensor
and \code{fan_out} is the number of output units in the weight tensor.
}
\section{References}{

Glorot & Bengio, AISTATS 2010 http://jmlr.org/proceedings/papers/v9/glorot10a/glorot10a.pdf
}

\seealso{
Other initializers: \code{\link{initializer_constant}},
  \code{\link{initializer_glorot_normal}},
  \code{\link{initializer_he_normal}},
  \code{\link{initializer_he_uniform}},
  \code{\link{initializer_identity}},
  \code{\link{initializer_lecun_normal}},
  \code{\link{initializer_lecun_uniform}},
  \code{\link{initializer_ones}},
  \code{\link{initializer_orthogonal}},
  \code{\link{initializer_random_normal}},
  \code{\link{initializer_random_uniform}},
  \code{\link{initializer_truncated_normal}},
  \code{\link{initializer_variance_scaling}},
  \code{\link{initializer_zeros}}
}
