% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/layers-core.R
\name{layer_repeat_vector}
\alias{layer_repeat_vector}
\title{Repeats the input n times.}
\usage{
layer_repeat_vector(object, n, batch_size = NULL, name = NULL,
  trainable = NULL, weights = NULL)
}
\arguments{
\item{object}{Model or layer object}

\item{n}{integer, repetition factor.}

\item{batch_size}{Fixed batch size for layer}

\item{name}{An optional name string for the layer. Should be unique in a
model (do not reuse the same name twice). It will be autogenerated if it
isn't provided.}

\item{trainable}{Whether the layer weights will be updated during training.}

\item{weights}{Initial weights for layer.}
}
\description{
Repeats the input n times.
}
\section{Input shape}{
 2D tensor of shape \code{(num_samples, features)}.
}

\section{Output shape}{
 3D tensor of shape \code{(num_samples, n, features)}.
}

\seealso{
Other core layers: \code{\link{layer_activation}},
  \code{\link{layer_activity_regularization}},
  \code{\link{layer_dense}}, \code{\link{layer_dropout}},
  \code{\link{layer_flatten}}, \code{\link{layer_input}},
  \code{\link{layer_lambda}}, \code{\link{layer_masking}},
  \code{\link{layer_permute}}, \code{\link{layer_reshape}}
}
