% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{to_numpy_array}
\alias{to_numpy_array}
\title{Convert to NumPy Array}
\usage{
to_numpy_array(x, dtype = NULL, order = "C")
}
\arguments{
\item{x}{Object or list of objects to convert}

\item{dtype}{NumPy data type (e.g. float32, float64). If this is unspecified
then R doubles will be converted to the default floating point type for the
current Keras backend.}

\item{order}{In-memory order ('C' or 'F'). Defaults to 'C', which is the
optimal order in nearly every case for Keras backends.}
}
\value{
NumPy array with the specified type and order (or list of NumPy
arrays if a list was passed for \code{x}).
}
\description{
Convert an object to a NumPy array which has the optimal in-memory layout and
floating point data type for the current Keras backend.
}
